# psnmp.h File Reference

`#include <ptlib/sockets.h>`
`#include <ptclib/snmp.h>`
`#include <ptclib/pasn.h>`
`#include <list>`
`#include <vector>`

Go to the source code of this file.

## Classes

class | PSNMPVarBindingList
| A list of object IDs and their values. More...
class | PSNMP
| A descendant of PUDPSocket which can perform SNMP calls. More...
class | PSNMPClient
| Class which gets SNMP data. More...
class | PSNMPServer
| Class which supplies SNMP data. More...